Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class SchemaTypeLoaderImpl

    java.lang.Object
      org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase
          org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl

All Implemented Interfaces:
  SchemaTypeLoader

    public class SchemaTypeLoaderImpl

extends SchemaTypeLoaderBase

Field Summary
`static java.lang.String` | `METADATA_PACKAGE_LOAD`

Method Summary
`static SchemaTypeLoader` | `build(SchemaTypeLoader[] searchPath, ResourceLoader resourceLoader, java.lang.ClassLoader classLoader)`
`static SchemaTypeLoader` | `build(SchemaTypeLoader[] searchPath, ResourceLoader resourceLoader, java.lang.ClassLoader classLoader, java.lang.String metadataPath)` Initialize a SchemaTypeLoader via the given loaders and paths
`SchemaAttributeGroup.Ref` | `findAttributeGroupRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaGlobalAttribute.Ref` | `findAttributeRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaType.Ref` | `findAttributeTypeRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaType.Ref` | `findDocumentTypeRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaGlobalElement.Ref` | `findElementRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaIdentityConstraint.Ref` | `findIdentityConstraintRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaModelGroup.Ref` | `findModelGroupRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`SchemaType.Ref` | `findTypeRef(javax.xml.namespace.QName name)` Used for on-demand loading.
`static SchemaTypeLoaderImpl` | `getContextTypeLoader()`
`java.io.InputStream` | `getSourceAsStream(java.lang.String sourceName)` Loads original XSD source as a stream.
`boolean` | `isNamespaceDefined(java.lang.String namespace)` True if the typeloader contains any definitions in the given namespace.
`SchemaType` | `typeForClassname(java.lang.String classname)` Finds a type for a given fully-qualified XML Bean classname
`SchemaTypeSystem` | `typeSystemForName(java.lang.String name)`

Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase
`compilePath, compilePath, compileQuery, compileQuery, findAttribute, findAttributeGroup, findAttributeType, findDocumentType, findElement, findModelGroup, findType, newDomImplementation, newInstance, newValidatingXMLInputStream, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METADATA_PACKAGE_LOAD

    public static java.lang.String METADATA_PACKAGE_LOAD

Method Detail

### getContextTypeLoader

    public static SchemaTypeLoaderImpl getContextTypeLoader()

### build

    public static SchemaTypeLoader build(SchemaTypeLoader[] searchPath,
                                         ResourceLoader resourceLoader,
                                         java.lang.ClassLoader classLoader)

### build

    public static SchemaTypeLoader build(SchemaTypeLoader[] searchPath,
                                         ResourceLoader resourceLoader,
                                         java.lang.ClassLoader classLoader,
                                         java.lang.String metadataPath)

  Initialize a SchemaTypeLoader via the given loaders and paths

  Parameters:
    `searchPath` - the searchPath to use
    `resourceLoader` - the resourceLoader to use
    `classLoader` - the classLoader to use
    `metadataPath` - the custom metadata path
  Returns:
    the schemaTypeLoader
  Since:
    XmlBeans 3.1.0

### typeSystemForName

    public SchemaTypeSystem typeSystemForName(java.lang.String name)

### isNamespaceDefined

    public boolean isNamespaceDefined(java.lang.String namespace)

  Description copied from interface: `SchemaTypeLoader`
  True if the typeloader contains any definitions in the given namespace.

### findTypeRef

    public SchemaType.Ref findTypeRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### typeForClassname

    public SchemaType typeForClassname(java.lang.String classname)

  Description copied from interface: `SchemaTypeLoader`
  Finds a type for a given fully-qualified XML Bean classname

### findDocumentTypeRef

    public SchemaType.Ref findDocumentTypeRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findAttributeTypeRef

    public SchemaType.Ref findAttributeTypeRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findElementRef

    public SchemaGlobalElement.Ref findElementRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findAttributeRef

    public SchemaGlobalAttribute.Ref findAttributeRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findModelGroupRef

    public SchemaModelGroup.Ref findModelGroupRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findAttributeGroupRef

    public SchemaAttributeGroup.Ref findAttributeGroupRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### findIdentityConstraintRef

    public SchemaIdentityConstraint.Ref findIdentityConstraintRef(javax.xml.namespace.QName name)

  Description copied from interface: `SchemaTypeLoader`
  Used for on-demand loading.

### getSourceAsStream

    public java.io.InputStream getSourceAsStream(java.lang.String sourceName)

  Description copied from interface: `SchemaTypeLoader`
  Loads original XSD source as a stream. See `SchemaComponent.getSourceName()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD